package com.goldenwater.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goldenwater.common.core.domain.BaseEntity;

/**
 * 注册审批表 sys_role_apper_for
 * 
 * @author goldenwater
 */
public class SysRoleApperFor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申请ID */
    private String apperId;

    /** 用户名称 */
    private String userName;

    /** 登录名 */
    private String loginName;

    /** 密码 */
    private String password;

    /** 公司 */
    private String company;

    /** 手机号 */
    private String phone;

    /** 邮箱 */
    private String email;

    /** 用户类型 */
    private String userType;

    /** 审批状态 */
    private String pass;

    /** 申请日期 */
    private String apperDate;

    /** 删除标志（0代表存在 2代表删除） */
    private String isDelete;

    public String getApperId()
    {
        return apperId;
    }

    public void setApperId(String apperId)
    {
        this.apperId = apperId;
    }

    public String getUserName()
    {
        return userName;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getLoginName()
    {
        return loginName;
    }

    public void setLoginName(String loginName)
    {
        this.loginName = loginName;
    }

    public String getPassword()
    {
        return password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getCompany()
    {
        return company;
    }

    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getPhone()
    {
        return phone;
    }

    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getEmail()
    {
        return email;
    }

    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getUserType()
    {
        return userType;
    }

    public void setUserType(String userType)
    {
        this.userType = userType;
    }

    public String getPass()
    {
        return pass;
    }

    public void setPass(String pass)
    {
        this.pass = pass;
    }

    public String getApperDate()
    {
        return apperDate;
    }

    public void setApperDate(String apperDate)
    {
        this.apperDate = apperDate;
    }

    public String getIsDelete()
    {
        return isDelete;
    }

    public void setIsDelete(String isDelete)
    {
        this.isDelete = isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("apperId", getApperId())
            .append("userName", getUserName())
            .append("loginName", getLoginName())
            .append("password", getPassword())
            .append("company", getCompany())
            .append("phone", getPhone())
            .append("email", getEmail())
            .append("userType", getUserType())
            .append("pass", getPass())
            .append("apperDate", getApperDate())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
